summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <sasha@mysql.sashanet.com>2000-08-01 17:38:08 -0600
committerunknown <sasha@mysql.sashanet.com>2000-08-01 17:38:08 -0600
commitfca7feda221301b915c6706fbb7abd6046a845a5 (patch)
tree5e10f954b5abb4a3dbb983847ba4fa0972c56ea3 /scripts
parentda7ec82347b27cfd7dc0fcc062c5bc26100c3b4a (diff)
downloadmariadb-git-fca7feda221301b915c6706fbb7abd6046a845a5.tar.gz
Tim's niceness fix in safe_mysqld.sh - also a test to see if mail notification works
scripts/safe_mysqld.sh: Added Tim's niceness fix
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/safe_mysqld.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/scripts/safe_mysqld.sh b/scripts/safe_mysqld.sh
index b2965bced90..a5ea4635ab9 100755
--- a/scripts/safe_mysqld.sh
+++ b/scripts/safe_mysqld.sh
@@ -88,13 +88,12 @@ fi
NOHUP_NICENESS=`nohup nice`
-if [ "x$NOHUP_NICENESS" = "x0" ] || ! nice --1 nice >/dev/null 2>&1 ; then
+if test $? -ne 0 || test x"$NOHUP_NICENESS" = x0 || test ! nice --1 echo foo > /dev/null 2>&1; then
NOHUP_NICENESS="nohup"
else
NOHUP_NICENESS="nice --$NOHUP_NICENESS nohup"
fi
-
export MYSQL_UNIX_PORT
#export MYSQL_TCP_PORT
touch $err_log; chown $user $err_log